diff --git a/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros b/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
index bc36dff..edcdc05 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
+++ b/web/pgadmin/browser/server_groups/servers/templates/macros/variable.macros
@@ -1,6 +1,20 @@
+{####################################################}
+{# This will be specific macro for Database objects #}
+{####################################################}
 {% macro APPLY(conn, database, role, param, value) -%}
 ALTER {% if role %}ROLE {{ self.conn|qtIdent(role) }}{% if database %} IN DATABASE {{ conn|qtIdent(database) }}{% endif %}{% else %}DATABASE {{ conn|qtIdent(database) }}{% endif %} SET {{ conn|qtIdent(param) }} TO {{ value|qtLiteral }};
 {%- endmacro %}
 {% macro RESET(conn, database, role, param) -%}
 ALTER {% if role %}ROLE {{ self.conn|qtIdent(role) }}{% if database %} IN DATABASE {{ conn|qtIdent(database) }}{% endif %}{% else %}DATABASE {{ conn|qtIdent(database) }}{% endif %} RESET {{ conn|qtIdent(param) }};
 {%- endmacro %}
+{################################################}
+{# This will be generic macro for other objects #}
+{################################################}
+{% macro SET(conn, object_type, object_name, param, value) -%}
+ALTER {{object_type}} {{ conn|qtIdent(object_name) }}
+  SET ({{ conn|qtIdent(param) }}={{ value|qtLiteral }});
+{%- endmacro %}
+{% macro UNSET(conn, object_type, object_name, param) -%}
+ALTER {{object_type}} {{ conn|qtIdent(object_name) }}
+  RESET {{ conn|qtIdent(param) }};
+{%- endmacro %}
\ No newline at end of file
